-- https://github.com/OpenRA/OpenRA/blob/3be0e9e8a57f648d11150cfb9632bd8488037c64/mods/ra/rules/vehicles.yaml
ConditionRevokers = {}

TechTypesByFaction = {
    ukraine = 'soviet',
    russia = 'soviet',
    england = 'allies',
    france = 'allies',
    germany = 'allies',
}

BuildOrders = {
    -- Standard
    {
        "powr",
        "barr", -- Depending on faction
        "proc", -- Refinery
        "weap",
        "powr",
        "proc",
        "tent", -- Depending on faction
        "tent", -- Depending on faction
    },
    -- Double Refinery
    {
        "powr",
        "tent", -- Depending on faction
        "proc", -- Refinery
        "proc", -- Refinery
        "powr",
        "weap",
        "proc",
        "tent", -- Depending on faction
        "tent", -- Depending on faction
    },
}

TankTypes = {
    "v2rl",
    "1tnk",
    "2tnk",
    "3tnk",
    "4tnk",
    "arty",
    --"harv",
    "jeep",
    "apc",
    --"mnly",
    "2tnk",
    "mgg",
    "mrj",
    "ttnk",
    "ftrk",
    --"dtrk",
    "ctnk",
    "dtrk",
    --"stnk"
}

Angles = {
    Angle.East,
    Angle.North,
    Angle.NorthEast,
    Angle.NorthWest,
    Angle.South,
    Angle.SouthEast,
    Angle.SouthWest,
    Angle.West
}

InfantryTypes = {
    "dog",
    "e1", -- rifler
    "e2", -- grenadier
    "e3", -- rocket
    "e3r1",
    "e4",
    "e1",
    "spy",
    "e7",
    "medi",
    "mech",
    "gnrl",
    "thf",
    "shok",
    "sniper"
}

InfrantryCostForAI = {
    e1 = 50,
    e2 = 75,
    e3 = 75,
}

InitialMCVIntervals = {
    5, 15
}

InitialTaunts = {
    "I will destroy you all!",
    "You think you know how to play? MUAHAHA. Let's see then what you got!!!",
    "Victory... is my destiny",
    "What's the matter, scared?",
    "I will be the one to... take you down.",
    "You'll never defeat me!",
    "Fight me!",
}

Taunts = {
    "Fight me!",
    "Come!",
    "You have much yet to learn",
    "Come back when you can put up a fight!",
    "Victory... is my destiny",
    "Why am I here?",
    "I cannot lose!",
    "Foolish!",
    "Better luck next time.",
    "Hands off my prey!",
    "I'm not letting you escape!",
    "Piece of cake",
    "Don't try me!",
    "Get some!",
    "Had enough already?",
    "You aren't worth the trouble!",
    "What's the matter, scared?",
    "I will be the one to... take you down.",
    "Weaklings, the bunch of you!",
    "The fight is on!",
    "Come on!",
    "You're not ready yet!",
    "That's all you got?",
    "Victory is mine!",
    "You can't defeat me!",
    "Too easy.",
    "Victory",
    "It's game over for you!",
    "That was easy!",
    "What's up now!?",
    "Can't help but feel sorry for ya!",
    "Nice try!",
    "Come at me!",
    "I cannot lose!",
    "You'll never defeat me!",
    "You're not ready!",
    "Not even close!",
    "You're too slow!",
    "Need a lesson, loser?",
    "Don't make me laugh!"
}
